com.lowagie.text.pdf

## Class PdfSignatureAppearance.RangeStream

- java.lang.Object
- - java.io.InputStream
  - - com.lowagie.text.pdf.PdfSignatureAppearance.RangeStream

- All Implemented Interfaces:
    java.io.Closeable
  Enclosing class:
    PdfSignatureAppearance

      private static class PdfSignatureAppearance.RangeStream
      extends java.io.InputStream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private byte[]` | `b`
    `private byte[]` | `bout`
    `private java.io.RandomAccessFile` | `raf`
    `private int[]` | `range`
    `private int` | `rangePosition`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `PdfSignatureAppearance.RangeStream(java.io.RandomAccessFile raf, byte[] bout, int[] range)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `read()`
    `int` | `read(byte[] b, int off, int len)`

    - ### Methods inherited from class java.io.InputStream

      `available, close, mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### b

          private byte[] b

    - #### raf

          private java.io.RandomAccessFile raf

    - #### bout

          private byte[] bout

    - #### range

          private int[] range

    - #### rangePosition

          private int rangePosition

  - ### Constructor Detail

    - #### PdfSignatureAppearance.RangeStream

          private PdfSignatureAppearance.RangeStream(java.io.RandomAccessFile raf,
                                            byte[] bout,
                                            int[] range)

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Specified by:
        `read` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`
      See Also:
        `InputStream.read()`

    - #### read

          public int read(byte[] b,
                 int off,
                 int len)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`
      See Also:
        `InputStream.read(byte[], int, int)`